Page MenuHomePhabricator

Goal: Plan for Engineering Travel Approvals to Wikimedia Hackathon 2016 and Wikimania Hackathon 2016 (Jerusalem)
Closed, ResolvedPublic

Description

ECT, WMF Travel and EMGT will agree on a plan for travel and travel approvals to Jerusalem and Esino Lario.
in the 2015/2016 fiscal year we will have smaller travel budget which will be controlled by individual managers instead of the VP of engineering. Both the Wikimania Hackathon and the Wikimedia Hackathon will also be smaller in size, accommodating fewer WMF staff than the previous year with earlier and harder deadlines for finalizing travel approvals and booking travel.
Taking these constraints into consideration we will need to come up with a new approval process.

It will likely look something like this:

  • ECT/Travel agree on deadlines for final approvals and final bookings
  • ECT will send out a survey to Engineering@ and people will apply for an event and provide information about event contributions.
  • ECT will review and approve people from engineering to attend, some people will be turned down
  • ECT will run approved lists by managers and get budget approval, some people will be turned down
  • ECT will provide this list to Travel / Event teams
  • People who are not booked by travel deadlines will not attend

Things to consider:

  • Can some people with good plans go to both events while people with no plans go to neither?
  • Can managers request for a team member to attend who does not put forward a good plan of contribution?
  • Deadlines will likely be in advance of speakers getting talks approved at Wikimania, what happens in those cases?
  • What are the travel deadlines and why?
  • What exceptions are OK? What are not.
  • How do people deal with vacations before and after events? traveling with family to events? These may not be able to be supported by the travel team any longer. Also, families are welcome at events however there should be some guidelines and rules of participation (example: you should not leave the hackathon during the middle of the day to sightsee with family. OR Does the family member need to pay a registration fee to eat at the event?)

Please comment if you have any thoughts or things to add. I will focus on this more after Wikimania.

Event Timeline

Rfarrand created this task.Jun 30 2015, 4:01 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Needs Triage.
Rfarrand updated the task description. (Show Details)
Rfarrand added a subscriber: Rfarrand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 4:01 PM
Rfarrand renamed this task from Plan for Engineering Travel to Wikimedia Hackathon 2016 adn Wikimania Hackathon 2016 (Jerusalem) to Plan for Engineering Travel Approvals to Wikimedia Hackathon 2016 and Wikimania Hackathon 2016 (Jerusalem) .Jul 1 2015, 11:05 AM
Rfarrand updated the task description. (Show Details)
Rfarrand set Security to None.
Rfarrand added a subscriber: Qgil.
Rfarrand updated the task description. (Show Details)Jul 1 2015, 11:08 AM
Qgil renamed this task from Plan for Engineering Travel Approvals to Wikimedia Hackathon 2016 and Wikimania Hackathon 2016 (Jerusalem) to Goal: Plan for Engineering Travel Approvals to Wikimedia Hackathon 2016 and Wikimania Hackathon 2016 (Jerusalem) .Jul 1 2015, 2:38 PM
Rfarrand triaged this task as Normal priority.Jul 6 2015, 6:12 PM
Rfarrand changed Security from None to Other confidential issue.
Restricted Application changed the visibility from "Public (No Login Required)" to "Custom Policy". · View Herald TranscriptJul 6 2015, 6:13 PM
Restricted Application changed the edit policy from "All Users" to "Custom Policy". · View Herald Transcript
Restricted Application added a project: WMF-NDA. · View Herald Transcript
Rfarrand changed Security from Other confidential issue to None.Jul 6 2015, 6:14 PM
Rfarrand removed a project: WMF-NDA.
Krenair changed the visibility from "Custom Policy" to "Public (No Login Required)".Jul 6 2015, 6:25 PM
Krenair changed the edit policy from "Custom Policy" to "All Users".
Qgil moved this task from Backlog to Need Discussion on the ECT-July-2015 board.Jul 29 2015, 9:13 AM
Rfarrand raised the priority of this task from Normal to High.Aug 8 2015, 12:54 AM
Rfarrand moved this task from Backlog to Ready to Go on the ECT-August-2015 board.Sep 1 2015, 4:03 PM
Rfarrand moved this task from Backlog to Need Discussion on the DevRel-September-2015 board.
Rfarrand lowered the priority of this task from High to Normal.Sep 1 2015, 4:09 PM
Rfarrand moved this task from Ready to Go to Need Discussion on the ECT-August-2015 board.
Rfarrand closed this task as Resolved.Jan 26 2016, 6:49 PM

Numbers are looking fine for Jerusalem. WMF staff must be registered and have manager approval. No more than 50 can attend. The DR team is staying out of the approval process for Esino Lario. I am closing this task.